package org.netkernel.ext.system.representation.impl;

import org.netkernel.layer0.representation.IHDSNode;
import org.netkernel.urii.IMetaRepresentation;
import java.util.*;

public class RepSingleModule
{
	private Map<String, Object> mHashedItems;
	private Map<Object, String> mHashForRef;
	private Map<String, String> mHashForElement;
	private IHDSNode mHierarchy;
	private String mHash;
	
	public RepSingleModule(String aHash,IHDSNode aHierarchy, Map<String, Object> aHashedItems, Map<Object, String> aHashForRef,  Map<String, String> aHashForElement)
	{	mHash=aHash;
		mHierarchy=aHierarchy;
		mHashedItems=aHashedItems;
		mHashForRef=aHashForRef;
		mHashForElement=aHashForElement;
	}
	
	public static class HashedItem
	{
		public Object mRef;
		public IMetaRepresentation mMeta;
		
		public HashedItem(Object aRef, IMetaRepresentation aMeta)
		{	mRef=aRef;
			mMeta=aMeta;
		}
	}
	
	public String getHash()
	{	return mHash;
	}

	public IHDSNode getHierarchy()
	{	return mHierarchy;
	}
	
	public Map<String, Object> getItems()
	{	return mHashedItems;
	}
	
	public Map<Object, String> getRefs()
	{	return mHashForRef;
	}
	
	public Map<String, String> getElements()
	{	return mHashForElement;
	}
	
	public String toString()
	{	return mHierarchy.toString();
	}
}